Get User Defined Field From Field Label
Return information about the given user defined field identified by the owner and the field label.
Note that field labels are fuzzy. Leading and trailing spaces and punctuation are ignored. Note this may be different than the currently published fields. NsApiSlow threshold: 5000 ms.
Headers
Convert string references and multi-language values into a specified language (iso2) code.
Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
Specify the timezone code that you would like date/time responses converted to.
The application token that identifies the partner app. Used when calling Online WebAPI from a server.
Query Parameters
Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
Body
FieldLabel, OwnerType
GetUserDefinedFieldFromFieldLabel: Return information about the given user defined field identified by the owner and the field label. Note that field labels are fuzzy. Leading and trailing spaces and punctuation are ignored. Note this may be different than the currently published fields.
Response
OK
Return information about the user defined fields. The information can be used to mirror the layout of the user-defined fields in the user interface. Carrier object for UserDefinedFieldInfo. Services for the UserDefinedFieldInfo Carrier is available from the UserDefinedFieldInfo Agent.
Primary key
The ID of the database column this field corresponds to
Optional default value for String fields
field height in pixels, 0 = 'enough' (from font)
The label (lead text)
X pixel coordinate of field
Y pixel coordinate of field
Field type: 0 = leadtext only, 1 = Edit, 2 = CheckBox, 3 = dropdown, 4 = listbox
Number, ShortText, LongText, Date, UnlimitedDate, Checkbox, List, Decimal field width in pixels, 0 = 'enough' (from font)
Formatting mask, can be whatever the controls understand (currently nothing :-))
Hide the label if 1
Is this field indexed? 0 if no, index no. if yes
label height in pixels, 0 = 'enough' (from font)
X pixel coordinate of label
Y pixel coordinate of label
label width in pixels, 0 = 'enough' (from font)
UDefFieldId this field had in the previous version, 0 = field is new in this version
The table ID of the source table for lists: kTableAssoc, kTableContInt or whatever
0 = no, 1 = yes (field must be filled out)
ID of owning table (contact, person, project) - this is not the actual tableNumber, rather it's an enum
Invalid, Contact, Person, Project, Sale, Temp, Appointment, Document, None Line no on View Page 1, used if MDO flags are OFF. 0 = this field is not visible on page 1
Programmatic ID, for use by software that needs to find a particular field. Carried over like udefIdentity across generations. Use a Company.Product.Field format to avoid naming conflicts; the Company name SuperOffice is reserved.
0 = read/write, 1 = readonly (don't combine with mandatory 8-) )
Short name to be used in Archive headings and on page 1. If blank, the fieldLabel will be used everywhere.
Tab order value, sets the field processing sequence
Length (in characters) of a text field, 0 for other types
Optional tooltip text for this field
Unique number used to track field identity across layout changes
List to use for populating dropdown or listbox
Justification - 0 = default, left, right, center
Default, Left, Center, Right Definition version number; ALL fields get new version whenever layout is updated.
Template variable name
Has the udef field been published?
MDO list name used to populate this list. Derived from UDListDefinitionId and ListTableId. (Read-only)
Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.
Field property dictionary mapping field names to field access rights.
Related topics
NSUserDefinedFieldInfoAgentHow to update a user-defined field using the web services APIGet Published User Defined Field From Field LabelUser-defined fieldsGet User Defined Field InfoGet User Defined Field From Ids